org.springframework.web.reactive.result.method.annotation

## Class ArgumentResolverConfigurer

- java.lang.Object
- - org.springframework.web.reactive.result.method.annotation.ArgumentResolverConfigurer

    public class ArgumentResolverConfigurer
    extends Object

Helps to configure resolvers for Controller method arguments.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`ArgumentResolverConfigurer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCustomResolver(HandlerMethodArgumentResolver... resolver)` Configure resolvers for custom controller method arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgumentResolverConfigurer

    public ArgumentResolverConfigurer()

### Method Detail

#### addCustomResolver

    public void addCustomResolver(HandlerMethodArgumentResolver... resolver)

Configure resolvers for custom controller method arguments.

Parameters:
  `resolver` - the resolver(s) to add